<?php
	/**************************************************************************
	 * WWDAS WebAPI Example Calls
	 * 
	 * The following is a short example of the use of API calls provided by 
	 * wwdas_web_api_class.php.  
	 * 
	 */	

	// Include the API support functions. 
	//
	require_once 'ml_web_api.class.php';
	
//	$my_api_key = "[YOUR_API_KEY_HERE]";		
	$my_api_key = "2302efdcd7a8f90221894193c6d557fd";	
	
	
	
	//  Initialize the API
	//
	$webapi = new WebAPIClass( $my_api_key );
	
	$webapi->setServer( "webapi.masterliveaboards.com");

	
	//  EXAMPLE 1 : getVesselList()
	//
	//  Get a list of currently operating vessels.  This covers all vessels
	//  with scheduled trips in the WWDAS system from now on. 
	//	
	$vessels = $webapi->getVesselList();
	showResults( "A list of vessels operating in MasterLiveaboards:", $vessels );


	//  EXAMPLE 2: getVesselTrips()
	//
	//  Get a list of all schedule trips on a single vessel.  The vessel name 
	//  can be obtained from the list returned by getVesselList().  Takes three
	//  arguments as follows: 
	//
	//  $vessel_name : The name of the vessel.  If not provided then all vessels
	//                 will be listed. 
	//
	//  $start_date  : The beginning date of the list.  Default to now.
	// 
	//  $end_date	 : The end date of the list.  Defaults to the date of the 
	//                 last scheduled trip.  
	//
	//	
	$vessel_name = "Galapagos Master";
	$trips = $webapi->getVesselTrips( $vessel_name );
	showResults( "Trip Availability on the {$vessel_name}", $trips );
	
	
	
	
	function showResults( $title, $data ) {
		
		echo "<h3>{$title}</h3>";
		echo "\n<div style='padding-left:20px;'>";
		echo "\n<pre>";
		print_r( $data );
		echo "\n\n\n\n";
		echo "</pre>";
		echo "\n</div>";
		
		
	}
	?>